Index: code/branches/spaceNavigation/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- code/branches/spaceNavigation/src/modules/overlays/hud/HUDNavigation.cc	(revision 9450)
+++ code/branches/spaceNavigation/src/modules/overlays/hud/HUDNavigation.cc	(revision 9457)
@@ -36,4 +36,6 @@
 #include <OgreTextAreaOverlayElement.h>
 #include <OgrePanelOverlayElement.h>
+
+#include <typeinfo>
 
 #include "util/Math.h"
@@ -315,6 +317,24 @@
                     it->second.text_->setTop((-pos.y + 1.0f + it->second.panel_->getHeight()) * 0.5f);
 
+                    // Make sure the overlays are shown
+                    it->second.panel_->show();
+                    it->second.text_->show();
+
                     // Target marker
-                    if(it->second.selected_ && it->first->getRVOrientedVelocity().squaredLength() != 0)
+                    const Pawn* pawn = dynamic_cast<const Pawn*>(it->first->getWorldEntity());
+                    Pawn* humanPawn = HumanController::getLocalControllerEntityAsPawn();
+                    // TODO : find another solution!
+                    orxout() << "My team: " << humanPawn->getTeam() << std::endl;
+                    orxout() << "Targets team: " << pawn->getTeam() << std::endl;
+                    if(!it->second.selected_
+                            || it->first->getRVVelocity().squaredLength() == 0
+                            || pawn == NULL
+                            || humanPawn == NULL
+                            /*|| pawn->getTeam() == humanPawn->getTeam()*/)
+                    {
+                        // don't show marker for not selected enemies nor if the selected doesn't move
+                        it->second.target_->hide();
+                    }
+                    else
                     {
                         Vector3* targetPos = this->toAimPosition(it->first);
@@ -335,11 +355,6 @@
                         delete targetPos;
                     }
-                    else // don't show marker for not selected enemies
-                        it->second.target_->hide();
+
                 }
-
-                // Make sure the overlays are shown
-                it->second.panel_->show();
-                it->second.text_->show();
             }
             else // do not display on HUD
@@ -403,5 +418,5 @@
         // Create target marker
         Ogre::PanelOverlayElement* target = static_cast<Ogre::PanelOverlayElement*>(Ogre::OverlayManager::getSingleton()
-                .createOverlayElement("Panel", "HUDNavigation_targetMarker_" + getUniqueNumberString()));
+                    .createOverlayElement("Panel", "HUDNavigation_targetMarker_" + getUniqueNumberString()));
         target->setMaterialName(TextureGenerator::getMaterialName("target.png", object->getRadarObjectColour()));
         target->setDimensions(this->aimMarkerSize_ * xScale, this->aimMarkerSize_ * yScale);
@@ -488,12 +503,9 @@
         Vector3 wePosition = HumanController::getLocalControllerSingleton()->getControllableEntity()->getWorldPosition();
         Vector3 targetPosition = target->getRVWorldPosition();
-        Vector3 targetSpeed = target->getRVOrientedVelocity();
+        Vector3 targetSpeed = target->getRVVelocity();
         Vector3 relativePosition = targetPosition - wePosition; //Vector from attacker to target
 
         float p_half = relativePosition.dotProduct(targetSpeed)/(targetSpeed.squaredLength() - this->currentMunitionSpeed_ * this->currentMunitionSpeed_);
         float time1 = -p_half + sqrt(p_half * p_half - relativePosition.squaredLength()/(targetSpeed.squaredLength() - this->currentMunitionSpeed_ * this->currentMunitionSpeed_));
-        orxout()<< "TIME 1: " << time1 <<endl;
-
-
 
         // munSpeed*time = lengthBetween(wePosition, targetPosition + targetSpeed*time)
@@ -510,5 +522,4 @@
             return NULL;
         float time = (-b - sqrt(det))/(2*a); 
-        orxout()<< "TIME 2: " << time1 <<endl;
         if(time < 0)
             time = (-b + sqrt(det))/(2*a); 
Index: code/branches/spaceNavigation/src/orxonox/interfaces/RadarViewable.cc
===================================================================
--- code/branches/spaceNavigation/src/orxonox/interfaces/RadarViewable.cc	(revision 9450)
+++ code/branches/spaceNavigation/src/orxonox/interfaces/RadarViewable.cc	(revision 9457)
@@ -102,4 +102,11 @@
     }
 
+    Vector3 RadarViewable::getRVVelocity() const
+    {
+        const WorldEntity* object = this->getWorldEntity();
+        validate(object);
+        return object->getVelocity();
+    }
+
     void RadarViewable::validate(const WorldEntity* object) const
     {
Index: code/branches/spaceNavigation/src/orxonox/interfaces/RadarViewable.h
===================================================================
--- code/branches/spaceNavigation/src/orxonox/interfaces/RadarViewable.h	(revision 9450)
+++ code/branches/spaceNavigation/src/orxonox/interfaces/RadarViewable.h	(revision 9457)
@@ -113,4 +113,5 @@
         const Vector3& getRVWorldPosition() const;
         Vector3 getRVOrientedVelocity() const;
+        Vector3 getRVVelocity() const;
 
         inline void setRadarObjectShape(Shape shape)