Index: /code/branches/turret/src/modules/objects/CMakeLists.txt
===================================================================
--- /code/branches/turret/src/modules/objects/CMakeLists.txt	(revision 9459)
+++ /code/branches/turret/src/modules/objects/CMakeLists.txt	(revision 9460)
@@ -5,4 +5,5 @@
   Script.cc
   SpaceBoundaries.cc
+  Turret.cc
 )
 
Index: /code/branches/turret/src/modules/objects/ObjectsPrereqs.h
===================================================================
--- /code/branches/turret/src/modules/objects/ObjectsPrereqs.h	(revision 9459)
+++ /code/branches/turret/src/modules/objects/ObjectsPrereqs.h	(revision 9460)
@@ -73,4 +73,5 @@
     class Script;
     class SpaceBoundaries;
+    class Turret;
 
     // collisionshapes
Index: /code/branches/turret/src/modules/objects/Turret.cc
===================================================================
--- /code/branches/turret/src/modules/objects/Turret.cc	(revision 9460)
+++ /code/branches/turret/src/modules/objects/Turret.cc	(revision 9460)
@@ -0,0 +1,83 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Marian Runo
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#include "Turret.h"
+
+
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
+
+
+namespace orxonox
+{
+    CreateFactory(Turret);
+
+    /**
+     * @brief Constructor
+     */
+    Turret::Turret(BaseObject* creator) : Pawn(creator)
+    {
+        RegisterObject(Turret);
+
+    }
+
+    /**
+     * @brief Destructor
+     */
+    Turret::~Turret()
+    {
+
+    }
+
+    void Turret::rotateYaw(const Vector2& value)
+    {
+
+    }
+
+
+    void Turret::rotatePitch(const Vector2& value)
+    {
+
+    }
+
+    void Turret::rotateRoll(const Vector2& value)
+    {
+
+    }
+
+
+
+    /*void Turret::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(Turret, XMLPort, xmlelement, mode);
+
+        XMLPortParam(Turret, "atmosphere", setAtmosphere, getAtmosphere, xmlelement, mode).defaultValues("Turret/Atmosphere");
+    }*/
+
+
+}
Index: /code/branches/turret/src/modules/objects/Turret.h
===================================================================
--- /code/branches/turret/src/modules/objects/Turret.h	(revision 9460)
+++ /code/branches/turret/src/modules/objects/Turret.h	(revision 9460)
@@ -0,0 +1,72 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Marian Runo
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file Turret.h
+    @brief Definition of the Turret class.
+    @ingroup Objects
+*/
+
+#ifndef _Turret_H__
+#define _Turret_H__
+
+#include "objects/ObjectsPrereqs.h"
+
+#include "worldentities/pawns/Pawn.h"
+
+namespace orxonox
+{
+    class _ObjectsExport Turret : public Pawn
+    {
+        public:
+            Turret(BaseObject* creator);
+
+            virtual ~Turret();
+
+            //virtual void tick(float dt);
+            virtual void moveFrontBack(const Vector2& value) {}
+            virtual void moveRightLeft(const Vector2& value) {}
+            virtual void moveUpDown(const Vector2& value) {}
+
+            virtual void rotateYaw(const Vector2& value);
+            virtual void rotatePitch(const Vector2& value);
+            virtual void rotateRoll(const Vector2& value);
+
+
+            //virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+
+
+        protected:
+
+        private:
+
+    };
+}
+
+#endif
+