Index: branches/proxy/src/lib/network/network_stream.cc
===================================================================
--- branches/proxy/src/lib/network/network_stream.cc	(revision 9461)
+++ branches/proxy/src/lib/network/network_stream.cc	(revision 9462)
@@ -360,5 +360,5 @@
   //check for new connections
 
-  NetworkSocket* tempNetworkSocket = serverSocket->getNewClientSocket();
+  NetworkSocket* tempNetworkSocket = serverSocket->getNewSocket();
 
   // we got new network node
Index: branches/proxy/src/lib/network/server_socket.h
===================================================================
--- branches/proxy/src/lib/network/server_socket.h	(revision 9461)
+++ branches/proxy/src/lib/network/server_socket.h	(revision 9462)
@@ -25,6 +25,5 @@
 
     virtual bool listen( unsigned int port ) = 0;
-    virtual NetworkSocket* getNewClientSocket( void ) = 0;
-//     virtual NetworkSocket* getNewClientSocket( void ) = 0;
+    virtual NetworkSocket* getNewSocket( void ) = 0;
     virtual void close() = 0;
     virtual void update() = 0;
Index: branches/proxy/src/lib/network/tcp_server_socket.cc
===================================================================
--- branches/proxy/src/lib/network/tcp_server_socket.cc	(revision 9461)
+++ branches/proxy/src/lib/network/tcp_server_socket.cc	(revision 9462)
@@ -105,5 +105,5 @@
 
 
-NetworkSocket* TcpServerSocket::getNewClientSocket( )
+NetworkSocket* TcpServerSocket::getNewSocket( )
 {
   if ( !listenSocket )
@@ -127,9 +127,4 @@
 
 
-NetworkSocket* TcpServerSocket::getNewProxySocket( )
-{
-    return NULL;
-}
-
 
 void TcpServerSocket::close( )
Index: branches/proxy/src/lib/network/tcp_server_socket.h
===================================================================
--- branches/proxy/src/lib/network/tcp_server_socket.h	(revision 9461)
+++ branches/proxy/src/lib/network/tcp_server_socket.h	(revision 9462)
@@ -25,6 +25,5 @@
 
     virtual bool listen( unsigned int port );
-    virtual NetworkSocket* getNewClientSocket( void );
-    virtual NetworkSocket* getNewProxySocket( void );
+    virtual NetworkSocket* getNewSocket( void );
     virtual void close();
     virtual void update() {};
Index: branches/proxy/src/lib/network/udp_server_socket.cc
===================================================================
--- branches/proxy/src/lib/network/udp_server_socket.cc	(revision 9461)
+++ branches/proxy/src/lib/network/udp_server_socket.cc	(revision 9462)
@@ -82,5 +82,5 @@
  *  only clients connect to this socket
  */
-NetworkSocket * UdpServerSocket::getNewClientSocket( void )
+NetworkSocket * UdpServerSocket::getNewSocket( void )
 {
   NetworkSocket * result = NULL;
@@ -303,5 +303,5 @@
           break;
 
-      initUser( userId, packet->address, packet->data[0] & 0xFC );
+      this->initUser( userId, packet->address, packet->data[0] & 0xFC );
       UdpSocket * sock = new UdpSocket( this, packet->address, userId, packet->data[0] & 0xFC );
       newSocketList.push_back( sock );
Index: branches/proxy/src/lib/network/udp_server_socket.h
===================================================================
--- branches/proxy/src/lib/network/udp_server_socket.h	(revision 9461)
+++ branches/proxy/src/lib/network/udp_server_socket.h	(revision 9462)
@@ -56,8 +56,6 @@
     /* server socket manipulations */
     virtual bool listen( unsigned int port );
-    virtual NetworkSocket* getNewClientSocket( void );
-    virtual NetworkSocket* getNewProxySocket( void );
+    virtual NetworkSocket* getNewSocket( void );
     virtual void close();
-
 
     virtual void update();
@@ -76,5 +74,5 @@
 
   private:
-    UDPsocket          socket;           //!< will be uses to send/recieve data
+    UDPsocket          socket;           //!< will be used to send/recieve data to/from clients
     UDPpacket *        packet;           //!< packet structure to recieve packet
     PacketBuffer       packetBuffer;     //!< will store recieved packets for UdpSockets
Index: branches/proxy/src/subprojects/network/network_unit_test.cc
===================================================================
--- branches/proxy/src/subprojects/network/network_unit_test.cc	(revision 9461)
+++ branches/proxy/src/subprojects/network/network_unit_test.cc	(revision 9462)
@@ -50,5 +50,5 @@
   {
     server.update();
-    server1 = server.getNewClientSocket();
+    server1 = server.getNewSocket();
   }
   
@@ -61,5 +61,5 @@
   {
     server.update();
-    server2 = server.getNewClientSocket();
+    server2 = server.getNewSocket();
   }
 