Index: branches/proxy/src/lib/network/network_manager.cc
===================================================================
--- branches/proxy/src/lib/network/network_manager.cc	(revision 9480)
+++ branches/proxy/src/lib/network/network_manager.cc	(revision 9481)
@@ -146,5 +146,5 @@
 
   // start the network game manager
-//    this->networkStream->createNetworkGameManager();
+    this->networkStream->createNetworkGameManager();
 
 
Index: branches/proxy/src/lib/network/network_stream.cc
===================================================================
--- branches/proxy/src/lib/network/network_stream.cc	(revision 9480)
+++ branches/proxy/src/lib/network/network_stream.cc	(revision 9481)
@@ -367,6 +367,8 @@
 
 /**
- * if we are a NET_MASTER_SERVER or NET_PROXY_SERVER_ACTIVE update the connection list to accept new
- * connections (clients) also start the handsake for the new clients
+ * @brief handles incoming connections
+ *
+ * if we are a NET_MASTER_SERVER or NET_PROXY_SERVER_ACTIVE update the connection list to accept new connections (clients)
+ * start and initialize the handsake for the new clients
  */
 void NetworkStream::updateConnectionList( )
@@ -401,4 +403,6 @@
       peers[userId].socket = tempNetworkSocket;
       peers[userId].nodeType = NET_CLIENT;
+
+      // handle the newly connected client
       this->handleConnect(userId);
 
@@ -433,7 +437,9 @@
       peers[userId].socket = tempNetworkSocket;
       peers[userId].nodeType = NET_PROXY_SERVER_ACTIVE;
+
+      // handle the newly connected proxy server
       this->handleConnect(userId);
 
-      PRINTF(0)("New Proxy: %d\n", userId);
+      PRINTF(0)("New proxy connected: %d\n", userId);
     }
   }
@@ -469,4 +475,8 @@
 
 
+/**
+ * this handles new connections
+ * @param userId: the id of the new user node
+ */
 void NetworkStream::handleConnect( int userId)
 {
@@ -480,5 +490,5 @@
   PRINTF(0)("num sync: %d\n", synchronizeables.size());
 
-    // get the proxy server informations and write them to the handshake, if any (proxy)
+  // get the proxy server informations and write them to the handshake, if any (proxy)
   assert( this->networkMonitor != NULL);
   PeerInfo* pi = this->networkMonitor->getFirstChoiceProxy();
@@ -491,12 +501,16 @@
     peers[userId].handshake->setProxy2Address( pi->ip);
 
-    // check if the connecting client should reconnect to a proxy server
+  // check if the connecting client should reconnect to a proxy server
   peers[userId].handshake->setRedirect(this->networkMonitor->isReconnectNextClient());
 
-    // the connecting node of course is a client
+  // the connecting node of course is a client
   peers[userId].ip = peers[userId].socket->getRemoteAddress();
 }
 
 
+
+/**
+ * some debug output
+ */
 void NetworkStream::debug()
 {
@@ -564,4 +578,6 @@
             if(  SharedNetworkData::getInstance()->isClient() || SharedNetworkData::getInstance()->isProxyServerActive() && it->second.isMasterServer())
             {
+              PRINTF(0)("Handshake: i am in client role\n");
+
               SharedNetworkData::getInstance()->setHostID( it->second.handshake->getHostId() );
               this->pInfo->userId = SharedNetworkData::getInstance()->getHostID();
@@ -569,6 +585,6 @@
               it->second.ip = it->second.socket->getRemoteAddress();
 
-//               it->second.nodeType = it->second.handshake->getRemoteNodeType();
-//               it->second.ip = it->second.socket->getRemoteAddress();
+              // it->second.nodeType = it->second.handshake->getRemoteNodeType();
+              // it->second.ip = it->second.socket->getRemoteAddress();
               // add the new server to the nodes list (it can be a NET_MASTER_SERVER or NET_PROXY_SERVER)
               this->networkMonitor->addNode(&it->second);
@@ -616,4 +632,6 @@
               else if ( SharedNetworkData::getInstance()->isProxyServerActive() && it->second.isClient() )
               {
+                PRINTF(0)("Handshake: i am in server role\n");
+
                 it->second.ip = it->second.socket->getRemoteAddress();
 