Index: code/branches/presentationHS12/data/levels/includes/weaponSettingsbigship.oxi
===================================================================
--- code/branches/presentationHS12/data/levels/includes/weaponSettingsbigship.oxi	(revision 9483)
+++ code/branches/presentationHS12/data/levels/includes/weaponSettingsbigship.oxi	(revision 9483)
@@ -0,0 +1,48 @@
+    <weaponslots>
+      <WeaponSlot position="-1.5,-5,-3" />
+      <WeaponSlot position=" 1.5,-5,-3" />  
+      <WeaponSlot position="    0,   0,0" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+      <WeaponSet firemode=1 />
+      <WeaponSet firemode=2 />
+      <WeaponSet firemode=3 />
+    </weaponsets>
+    <weapons>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+          <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
+          <DefaultWeaponmodeLink firemode=3 weaponmode=3 />
+        </links>
+        <Weapon>
+          <attached>
+          </attached>
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
+        </Weapon>
+        <Weapon>
+          <attached>
+           
+          </attached>
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" damage=23 />
+        </Weapon>
+        <Weapon>
+          <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+        </Weapon>
+      </WeaponPack>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
+        </links>
+        <!--Weapon>
+          <EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-1" />
+        </Weapon-->
+      </WeaponPack>
+    </weapons>
Index: code/branches/presentationHS12/data/levels/templates/bigship.oxt
===================================================================
--- code/branches/presentationHS12/data/levels/templates/bigship.oxt	(revision 9483)
+++ code/branches/presentationHS12/data/levels/templates/bigship.oxt	(revision 9483)
@@ -0,0 +1,146 @@
+<Template name=bigship>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipassffcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   shieldhealth        = 100
+   initialshieldhealth = 30
+   maxshieldhealth     = 50
+   shieldabsorption    = 0.8
+   reloadrate          = 1
+   reloadwaittime      = 1
+
+   primaryThrust     = 30
+   auxilaryThrust    = 30
+   rotationThrust    = 10
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 15
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 9
+
+   collisionType     = "dynamic"
+   mass              = 1000
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+  >
+    <engines>
+      <MultiStateEngine position=" 15, 0, 0" template=spaceshipassffengine />
+      <MultiStateEngine position="-15, 0, 0" template=spaceshipassffengine />
+    </engines>
+    <attached>
+
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=4 mesh="bsBody.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=4 mesh="bsDuseL.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=4 mesh="bsDuseR.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=4 mesh="bsKuppelV.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=4 mesh="bsKuppelK.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=4 mesh="bsAntL.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=4 mesh="bsAntR.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=4 mesh="bsGarage.mesh" />
+	<Model position="0,0,0" yaw=0 pitch=180 roll=0 scale=4 mesh="bsStation.mesh" />
+
+	<BlinkingBillboard position="2,-2.4,16" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.02 frequency=0.4 phase=0 quadratic=1 />
+      	<BlinkingBillboard position="-2,-2.4,16" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.02 frequency=0.4 phase=0 quadratic=1 />
+	<BlinkingBillboard position="2,-2.5,19" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.02 frequency=0.4 phase=40 quadratic=1 />
+      	<BlinkingBillboard position="-2,-2.5,19" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.02 frequency=0.4 phase=40 quadratic=1 />
+	<BlinkingBillboard position="2,-2.5,22" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.02 frequency=0.4 phase=80 quadratic=0 />
+      	<BlinkingBillboard position="-2,-2.5,22" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.02 frequency=0.4 phase=80 quadratic=0 />
+	<BlinkingBillboard position="2,-2.6,25" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.02 frequency=0.4 phase=120 quadratic=0 />
+      	<BlinkingBillboard position="-2,-2.6,25" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.02 frequency=0.4 phase=120 quadratic=0 />
+	<BlinkingBillboard position="2,-2.6,28" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.02 frequency=0.4 phase=160 quadratic=0 />
+      	<BlinkingBillboard position="-2,-2.6,28" material="Examples/Flare" colour="0.3, 0.3, 1, 0.1" amplitude=0.02 frequency=0.4 phase=160 quadratic=0 />
+	<BlinkingBillboard position="2.9,-3.5,14.2" material="Examples/Flare" colour="1, 0.4, 0.4, 0.1" amplitude=0.02 frequency=30 phase=0 quadratic=0 />
+      	<BlinkingBillboard position="-2.9,-3.5,14.2" material="Examples/Flare" colour="1, 0.4, 0.4, 0.1" amplitude=0.02 frequency=30 phase=0 quadratic=0 />
+
+
+
+<!--	<Model position="0,8,17" yaw=0 pitch=180 roll=0 scale3D="8, 10, 10" mesh="cube.mesh" />
+	<Model position="0,0,22" yaw=0 pitch=180 roll=0 scale3D="18, 2, 10" mesh="cube.mesh" />
+	<Model position="0,0,9" yaw=0 pitch=180 roll=0 scale3D="12, 2, 20" mesh="cube.mesh" />
+	<Model position="0,0,-18" yaw=0 pitch=180 roll=0 scale3D="6, 2, 18" mesh="cube.mesh" />
+-->
+
+    </attached>
+    <collisionShapes>
+	<BoxCollisionShape position="0,8,17"      halfExtents="8,10,10" />
+	<BoxCollisionShape position="0,0,22"      halfExtents="18, 2, 10" />
+	<BoxCollisionShape position="0,0,9"      halfExtents="12, 2, 20" />
+	<BoxCollisionShape position="0,0,-18"      halfExtents="6, 2, 18" />
+      
+    </collisionShapes>
+<?lua
+  include("../includes/weaponSettingsbigship.oxi")
+?>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipassffcameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,30, 50" drag=true mouselook=true />
+      <CameraPosition position="0,40, 80" drag=true mouselook=true />
+      <CameraPosition position="0,50,120" drag=true mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipassffengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 2
+
+   speedfront     = 150
+   speedback      =  50
+   speedleftright =  50
+   speedupdown    =  50
+
+   defEngineSndNormal = "sounds/Engine_low.ogg"
+   defEngineSndBoost = "sounds/Engine_high.ogg"
+
+   accelerationfront     = 10
+   accelerationbrake     = 10
+   accelerationback      =  10
+   accelerationleftright =  10
+   accelerationupdown    =  10
+  >
+    <EffectContainer condition="idle">
+      <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
+    </EffectContainer>
+    <EffectContainer condition="not idle">
+      <FadingBillboard mainstate=activity active=false scale=0.1 position="7.6, 0, 9" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.1 position="-7.6, 0, 9" colour="0.2, 0.65, 1.0, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+    <EffectContainer condition="normal or brake">
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 10.5, 0, 32" colour="0.2, 0.65, 1.0, 1.0" width=10 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-10.5, 0, 32" colour="0.2, 0.65, 1.0, 1.0" width=10 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 2.5, 13, 26.5" colour="0.2, 0.65, 1, 0.4" width=5 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-2.5, 13, 26.5" colour="0.2, 0.65, 1, 0.4" width=5 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+ </EffectContainer>
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position=" 10, 0, 32" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.4 name=bltest position="-10, 0, 32" colour="0.6, 0.75, 0.8, 0.7" width=40 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+    </EffectContainer>
+<!--    <EffectContainer condition="brake">
+      <FadingBillboard mainstate=activity active=false scale=0.3 position=" 8, 0, 6" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.3 position="-8, 0, 6" colour="0.5, 0.0, 0.0, 0.3" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position=" 8, 0, 6" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.15 position="-8, 0, 6" colour="1.0, 0.0, 0.0, 1.0" material="Flares/backlightflare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+-->
+  </MultiStateEngine>
+</Template>