Index: branches/proxy/src/lib/network/message_manager.h
===================================================================
--- branches/proxy/src/lib/network/message_manager.h	(revision 9491)
+++ branches/proxy/src/lib/network/message_manager.h	(revision 9492)
@@ -40,5 +40,5 @@
 enum RecieverType
 {
-  RT_ALL_BUT_ME = 1,   //!< message is sent to all users
+  RT_ALL_BUT_ME = 1,   //!< message is sent to all users but myself
   RT_ALL_ME,           //!< message is sent to all users
   RT_USER,             //!< message is only sent to reciever
Index: branches/proxy/src/lib/network/network_game_manager.cc
===================================================================
--- branches/proxy/src/lib/network/network_game_manager.cc	(revision 9491)
+++ branches/proxy/src/lib/network/network_game_manager.cc	(revision 9492)
@@ -168,5 +168,6 @@
 bool NetworkGameManager::delSynchronizeableHandler( MessageId messageId, byte * data, int dataLength, void * someData, int userId )
 {
-  if ( SharedNetworkData::getInstance()->isMasterServer() ||  SharedNetworkData::getInstance()->isProxyServerActive())
+  if ( SharedNetworkData::getInstance()->isMasterServer() ||
+       SharedNetworkData::getInstance()->isProxyServerActive() && SharedNetworkData::getInstance()->isUserClient(userId))
   {
     PRINTF(2)("Recieved DeleteSynchronizeable message from client %d!\n", userId);
Index: branches/proxy/src/lib/network/shared_network_data.cc
===================================================================
--- branches/proxy/src/lib/network/shared_network_data.cc	(revision 9491)
+++ branches/proxy/src/lib/network/shared_network_data.cc	(revision 9492)
@@ -19,4 +19,6 @@
 #include "netdefs.h"
 #include "state.h"
+
+#include "network_stream.h"
 
 #include "debug.h"
@@ -51,2 +53,31 @@
   SharedNetworkData::singletonRef = NULL;
 }
+
+
+
+/** @return true if this user is connected to the local host */
+bool SharedNetworkData::isUserLocal( int userID)
+{
+  return this->defaultSyncStream->isUserLocal(userID);
+}
+
+
+/** @returns true if this user is a master server */
+bool SharedNetworkData::isUserMasterServer( int userID )
+{
+  return this->defaultSyncStream->isUserMasterServer(userID);
+}
+
+
+/** @returns true if this user is a proxy server */
+bool SharedNetworkData::isUserProxyServerActive( int userID )
+{
+   return this->defaultSyncStream->isUserProxyServerActive(userID);
+}
+
+
+/** @returns true if this user is a client */
+bool SharedNetworkData::isUserClient( int userID )
+{
+  return this->defaultSyncStream->isUserClient(userID);
+}
Index: branches/proxy/src/lib/network/shared_network_data.h
===================================================================
--- branches/proxy/src/lib/network/shared_network_data.h	(revision 9491)
+++ branches/proxy/src/lib/network/shared_network_data.h	(revision 9492)
@@ -14,5 +14,5 @@
 #define NET_MAX_CONNECTIONS 2
 
-class NetworkStream;
+
 class Synchronizeable;
 
@@ -32,4 +32,6 @@
     inline void setNewUniqueID(int newUniqueID) { this->newUniqueID = newUniqueID; }
 
+    /** sets the game server flag @param bGameServer true if it is a game server */
+    inline void setNodeType(int nodeType) { this->nodeType = nodeType; }
     /** @returns true is this node is a master server */
     inline bool isMasterServer() { return this->nodeType == NET_MASTER_SERVER; }
@@ -38,6 +40,14 @@
     /** @returns true is this node is a client*/
     inline bool isClient() { return this->nodeType == NET_CLIENT; }
-    /** sets the game server flag @param bGameServer true if it is a game server */
-    inline void setNodeType(int nodeType) { this->nodeType = nodeType; }
+
+    /** @return true if this user is connected to the local host */
+    bool isUserLocal( int userID);
+    /** @returns true if this user is a master server */
+    bool isUserMasterServer( int userID );
+    /** @returns true if this user is a proxy server */
+    bool isUserProxyServerActive( int userID );
+    /** @returns true if this user is a client */
+    bool isUserClient( int userID );
+
 
     /** @returns the maximum number of players for this server */